Page MenuHomeFreeBSD

Add ability to show ipfw rules, that were added using new rule format (without generic rule body, just rule options)
ClosedPublic

Authored by ae on Oct 1 2018, 3:44 PM.

Details

Summary

ipfw(8) command line parser accepts rule format, that contains only rule options in the body. But ipfw(8) opcodes parser expects only old format, when rule body contains all components of "proto from src to dst". This patch adds flag IPFW_RULE_JUSTOPTS, that is passed to the kernel, and back. So, ipfw(8) can determine what rule format was used and correctly show the rule.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

ae created this revision.Oct 1 2018, 3:44 PM
ae added a reviewer: melifaro.Oct 1 2018, 3:48 PM
lev added a subscriber: lev.Oct 3 2018, 1:27 PM

This patch helps with all my convoluted rules :-)

This revision was not accepted when it landed; it landed in state Needs Review.Oct 21 2018, 3:11 PM
This revision was automatically updated to reflect the committed changes.